Access
Update a workspace member role
PATCH
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
workspaceId*stringLength
1 <= lengthmemberId*stringLength
1 <= length- body
role*stringValue in
"admin""member"Response for status 200
application/json- response
member*curl -X PATCH 'https://postbot.example/api/workspaces/string/members/string' \
-H 'Content-Type: application/json' \
-d '{
"role": "admin"
}'Example Response
{
"member": {
"id": "string",
"userId": "string",
"email": "string",
"name": "string",
"image": "string",
"role": "string",
"createdAt": 0
}
}